<?php
/**
 * Carerix PHP Library
 *
 * LICENSE
 *
 * This source file is subject to the LGPL license that is 
 * available through the world-wide-web at this URL:
 * http://www.opensource.org/licenses/lgpl-license.php
 *
 * @category Carerix
 * @author Andrey Yakubovskiy <andrey.yakubovskiy@gmail.com>
 * @copyright Copyright (c) 2016 Carerix.com (http://www.carerix.com)
 * @license http://www.opensource.org/licenses/lgpl-license.php  LGPL
 * @link http://www.carerix.com
 * @version 2016-09-28 17:23:29Z
 */
 
/**
 * @category Carerix
 * @licence http://www.opensource.org/licenses/lgpl-license.php LGPL
 * @link http://www.carerix.com
 * @copyright Copyright 2011 Carerix (http://www.carerix.com). All rights reserved.
 * @author Andrey Yakubovskiy <andrey.yakubovskiy@gmail.com>
 * @version Fri, 23 Sep 2011 10:19:36 +0300
 */
class Carerix_Api_Rest_Entity_CRAttachment extends Carerix_Api_Rest_Entity_Abstract_CRAttachment
{
    /**
     * Missing from describe schema
     * 
     * @cx_field true
     * @access private
     * @var string
     */
    public $content = null;
        
    /**
     * Set content.
     *
     * Provides a fluent interface.
     *
     * @param string $value [optional]
     * @return self
     */
    public function setContent($value)
    {
        $this->content = $value;
        return $this;
    }

    /**
     * Get content.
     *
     * @return string
     */
    public function getContent()
    {
        return $this->content;
    }
    
    /**
     * Get decoded content.
     *
     * @return string
     */
    public function getDecodedContent()
    {
        if($this->content !== null) {
            return base64_decode($this->content);
        }
        return null;
    }    

}